package com.cool.bang.modules.business.domain;

import com.cool.bang.common.base.BaseDomain;
import com.cool.bang.common.constant.emuns.StatusType;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 数据集合
 *
 * @author PeiZhi Guo
 * 2024-10-31 17:05
 */
public class DataCollection extends BaseDomain {

    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 企业主键
     */
    private Long corpId;

    /**
     * 区县 1张店区 2博山区 3淄川区 4周村区 5临淄区 6桓台县 7高青县 8沂源县 9高新区 10经开区 11文昌湖区
     */
    private Integer district;

    /**
     * 区县名称
     */
    private String districtName;

    /**
     * 是否办结 0未办结 1已办结
     */
    private Integer isEnd;

    /**
     * 销售年月
     */
    private String yearMonth;

    /**
     * 住宅销售套数
     */
    private Integer saleNumber;

    /**
     * 住宅销售面积
     */
    private BigDecimal saleArea;

    /**
     * 住宅销售总价
     */
    private BigDecimal saleTotalPrice;

    /**
     * 非住宅销售套数
     */
    private Integer otherSaleNumber;

    /**
     * 非住宅销售面积
     */
    private BigDecimal otherSaleArea;

    /**
     * 非住宅销售总价
     */
    private BigDecimal otherSaleTotalPrice;

    /**
     * 删除标识 0 删除 1 正常
     */
    private Integer delFlag;

    private List<DataCount> dataCountList;

    @Override
    public void insertConfigure() {
        super.insertConfigure();
        this.delFlag = StatusType.ENABLE.ordinal();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getOtherSaleNumber() {
        return otherSaleNumber;
    }

    public void setOtherSaleNumber(Integer otherSaleNumber) {
        this.otherSaleNumber = otherSaleNumber;
    }

    public BigDecimal getOtherSaleArea() {
        return otherSaleArea;
    }

    public void setOtherSaleArea(BigDecimal otherSaleArea) {
        this.otherSaleArea = otherSaleArea;
    }

    public BigDecimal getOtherSaleTotalPrice() {
        return otherSaleTotalPrice;
    }

    public void setOtherSaleTotalPrice(BigDecimal otherSaleTotalPrice) {
        this.otherSaleTotalPrice = otherSaleTotalPrice;
    }

    public Integer getIsEnd() {
        return isEnd;
    }

    public void setIsEnd(Integer isEnd) {
        this.isEnd = isEnd;
    }

    public List<DataCount> getDataCountList() {
        return dataCountList;
    }

    public void setDataCountList(List<DataCount> dataCountList) {
        this.dataCountList = dataCountList;
    }

    public Long getCorpId() {
        return corpId;
    }

    public void setCorpId(Long corpId) {
        this.corpId = corpId;
    }

    public Integer getDistrict() {
        return district;
    }

    public void setDistrict(Integer district) {
        this.district = district;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public String getYearMonth() {
        return yearMonth;
    }

    public void setYearMonth(String yearMonth) {
        this.yearMonth = yearMonth;
    }

    public Integer getSaleNumber() {
        return saleNumber;
    }

    public void setSaleNumber(Integer saleNumber) {
        this.saleNumber = saleNumber;
    }

    public BigDecimal getSaleArea() {
        return saleArea;
    }

    public void setSaleArea(BigDecimal saleArea) {
        this.saleArea = saleArea;
    }

    public BigDecimal getSaleTotalPrice() {
        return saleTotalPrice;
    }

    public void setSaleTotalPrice(BigDecimal saleTotalPrice) {
        this.saleTotalPrice = saleTotalPrice;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}
